> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove inbox

> Used to remove an inbox message that has already been sent.

<br>
<strong>Note:</strong> Just one of `device_id`, `user_id`, `profile_id` parameters should be used (in combination with `campaign_id`).

## OpenAPI

````json POST /remove/inbox-message
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/remove/inbox-message": {
      "post": {
        "summary": "Remove inbox",
        "description": "Used to remove an inbox message that has already been sent.\n\n<br>\n<strong>Note:</strong> Just one of `device_id`, `user_id`, `profile_id` parameters should be used (in combination with `campaign_id`).",
        "operationId": "campaign-remove",
        "deprecated": "false",
        "requestBody": {
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "campaign_id"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "campaign_id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "The ID of the campaign with the inbox message you want to remove"
                  },
                  "device_id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "The *device_id* from which to remove the inbox message"
                  },
                  "user_id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "The *user_id* from which to remove the inbox message"
                  },
                  "profile_id": {
                    "type": "string",
                    "description": "The *profile_id* from which to remove the inbox message"
                  }
                }
              },
              "examples": {
                "Remove an inbox-message from a device": {
                  "value": {
                    "apptoken": "YOUR-APPTOKEN",
                    "campaign_id": "2419622",
                    "device_id": "72662088"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information",
                      "errors": [
                        {
                          "text": [
                            "Detailed information about the specific error"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "404",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "404",
                      "message": "Not Found"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Campaign Methods"
        ]
      }
    }
  }
}
````

